Page MenuHomePhabricator

pppoe0: showing as "Coming up"
Open, Requires assessmentPublicBUG

Description

As per VyOS Project 2019 October update "If you want to help us with testing it, download images from downloads.vyos.io/?dir=rolling/equuleus/amd64 and report the findings."

Here is my first problem. Everything works as expected with version 1.2-rolling-201910310217

pppoe0: showing as "Coming up"

 show version
Version:          VyOS 1.3-rolling-201910310242
Built by:         autobuild@vyos.net
Built on:         Thu 31 Oct 2019 02:42 UTC
Build UUID:       d5906a11-53f7-4a08-932b-83291e134616
Build Commit ID:  529220d610a6cf

Architecture:     x86_64
Boot via:         installed image
System type:      bare metal

Hardware vendor:  Lex BayTrail
Hardware model:   3I380D D1
Hardware S/N:     BT-I C2II1
Hardware UUID:    12345678-1234-5678-90ab-cddeefaabbcc


show int pppoe pppoe0
pppoe0: Coming up

show int
Codes: S - State, L - Link, u - Up, D - Down, A - Admin Down
Interface        IP Address                        S/L  Description
---------        ----------                        ---  -----------
eth0             192.168.3.1/24                    u/u
eth1             192.168.1.1/24                    u/u
eth2             192.168.4.1/24                    u/D
eth3             192.168.5.1/24                    u/u
lo               127.0.0.1/8                       u/u
                 ::1/128

pppoe0 does not show up

If I ping from router:

ping www.google.com
PING www.google.com (216.58.204.68): 56 data bytes
64 bytes from 216.58.204.68: icmp_seq=0 ttl=55 time=18.124 ms
64 bytes from 216.58.204.68: icmp_seq=1 ttl=55 time=18.541 ms
64 bytes from 216.58.204.68: icmp_seq=2 ttl=55 time=18.347 ms

So it must be connected but if I ping from the desktop

ping 8.8.8.8

Pinging 8.8.8.8 with 32 bytes of data:
Request timed out.
Request timed out.
Request timed out.
Request timed out.

This is from the pppoe log file

User stevep starting PPP daemon for pppoe0 by connect command
Send PPPOE Discovery V1T1 PADI session 0x0 length 10
 dst ff:ff:ff:ff:ff:ff  src 4c:02:89:12:16:d1
 [service-name] [PPP-max-payload  05 dc]
Recv PPPOE Discovery V1T1 PADO session 0x0 length 45
 dst 4c:02:89:12:16:d1  src a4:7b:2c:10:56:93
 [service-name] [AC-name acc-aln1.dz] [AC-cookie  b9 a5 6a 26 92 1e 90 4d 28 7e d4 a8 fd e7 ae 81] [PPP-max-payload  05 dc]
Send PPPOE Discovery V1T1 PADR session 0x0 length 30
 dst a4:7b:2c:10:56:93  src 4c:02:89:12:16:d1
 [service-name] [PPP-max-payload  05 dc] [AC-cookie  b9 a5 6a 26 92 1e 90 4d 28 7e d4 a8 fd e7 ae 81]
Recv PPPOE Discovery V1T1 PADS session 0x65 length 10
 dst 4c:02:89:12:16:d1  src a4:7b:2c:10:56:93
 [service-name] [PPP-max-payload  05 dc]
PADS: Service-Name: ''
PPP session is 101
Connected to a4:7b:2c:10:56:93 via interface eth3
using channel 2
Using interface ppp0
Connect: ppp0 <--> eth3
sent [LCP ConfReq id=0x1 <magic 0xad65cb2a>]
rcvd [LCP ConfReq id=0x7f <mru 1500> <auth chap MD5> <magic 0x5385077a>]
sent [LCP ConfAck id=0x7f <mru 1500> <auth chap MD5> <magic 0x5385077a>]
rcvd [LCP ConfAck id=0x1 <magic 0xad65cb2a>]
sent [LCP EchoReq id=0x0 magic=0xad65cb2a]
rcvd [CHAP Challenge id=0x1 <ee15f4f685727ccf15111e48bbb0100b823ef2185cebee32cf558bf2367a7826>, name = "acc-aln1.dz"]
sent [CHAP Response id=0x1 <75db2c6c64fe5a7bd341870075549c75>, name = "bthomehub@btbroadband.com"]
rcvd [LCP EchoRep id=0x0 magic=0x5385077a]
rcvd [CHAP Success id=0x1 "CHAP authentication success"]
CHAP authentication succeeded: CHAP authentication success
CHAP authentication succeeded
peer from calling number A4:7B:2C:10:56:93 authorized
sent [IPCP ConfReq id=0x1 <addr 0.0.0.0>]
rcvd [IPV6CP ConfReq id=0x34 <addr fe80::0221:05ff:feb5:0c24>]
Unsupported protocol 'IPv6 Control Protocol' (0x8057) received
sent [LCP ProtRej id=0x2 80 57 01 34 00 0e 01 0a 02 21 05 ff fe b5 0c 24]
rcvd [IPCP ConfReq id=0x61 <addr 172.16.xx.xxx>]
sent [IPCP ConfAck id=0x61 <addr 172.16.xx.xxx>]
rcvd [IPCP ConfNak id=0x1 <addr 109.xxx.x.xxx>]
sent [IPCP ConfReq id=0x2 <addr 109.xxx.x.xxx>]
rcvd [IPV6CP TermReq id=0x35]
Unsupported protocol 'IPv6 Control Protocol' (0x8057) received
sent [LCP ProtRej id=0x3 80 57 05 35 00 04]
rcvd [IPCP ConfAck id=0x2 <addr 109.xxx.x.xxx>]
local  IP address 109.xxx.x.xxx
remote IP address 172.16.xx.xxx
Script /etc/ppp/ip-up started (pid 5688)
Script /etc/ppp/ip-up finished (pid 5688), status = 0x0
rcvd [IPV6CP TermReq id=0x36]
Unsupported protocol 'IPv6 Control Protocol' (0x8057) received
sent [LCP ProtRej id=0x4 80 57 05 36 00 04]
sudo dmesg
[    0.000000] Linux version 4.19.76-amd64-vyos (vyos_bld@a944ab87cfd1) (gcc version 8.3.0 (Debian 8.3.0-6)) #1 SMP Mon Oct 21 18:17:32 UTC 2019
[    0.000000] Command line: BOOT_IMAGE=/boot/1.3-rolling-201910310242/vmlinuz boot=live quiet rootdelay=5 noautologin net.ifnames=0 biosdevname=0 vyos-union=/boot/1.3-rolling-201910310242 console=ttyS0,115200 console=tty0
[    0.000000] x86/fpu: x87 FPU will use FXSAVE
[    0.000000] BIOS-provided physical RAM map:
[    0.000000] BIOS-e820: [mem 0x0000000000000000-0x000000000009e7ff] usable
[    0.000000] BIOS-e820: [mem 0x000000000009e800-0x000000000009ffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000000e0000-0x00000000000fffff] reserved
[    0.000000] BIOS-e820: [mem 0x0000000000100000-0x00000000b8918fff] usable
[    0.000000] BIOS-e820: [mem 0x00000000b8919000-0x00000000b8f18fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000b8f19000-0x00000000b9118fff] ACPI NVS
[    0.000000] BIOS-e820: [mem 0x00000000b9119000-0x00000000b9158fff] ACPI data
[    0.000000] BIOS-e820: [mem 0x00000000b9159000-0x00000000b9ffffff] usable
[    0.000000] BIOS-e820: [mem 0x00000000ba000000-0x00000000ba7fffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000bae00000-0x00000000bfffffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000e0000000-0x00000000e3ffffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fec00000-0x00000000fec00fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fed01000-0x00000000fed01fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fed03000-0x00000000fed03fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fed08000-0x00000000fed08fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fed0c000-0x00000000fed0ffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fed1c000-0x00000000fed1cfff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fee00000-0x00000000fee00fff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000fef00000-0x00000000feffffff] reserved
[    0.000000] BIOS-e820: [mem 0x00000000ffd00000-0x00000000ffffffff] reserved
[    0.000000] BIOS-e820: [mem 0x0000000100000000-0x000000013fffffff] usable
[    0.000000] NX (Execute Disable) protection: active
[    0.000000] SMBIOS 2.7 present.
[    0.000000] DMI: Lex BayTrail       3I380D D1         /3I380D D1         , BIOS 3I380D D3 11/09/2015
[    0.000000] tsc: Detected 1999.200 MHz processor
[    0.002645] e820: update [mem 0x00000000-0x00000fff] usable ==> reserved
[    0.002651] e820: remove [mem 0x000a0000-0x000fffff] usable
[    0.002665] last_pfn = 0x140000 max_arch_pfn = 0x400000000
[    0.002670] MTRR default type: uncachable
[    0.002672] MTRR fixed ranges enabled:
[    0.002674]   00000-9FFFF write-back
[    0.002676]   A0000-BFFFF uncachable
[    0.002678]   C0000-FFFFF write-protect
[    0.002680] MTRR variable ranges enabled:
[    0.002683]   0 base 0FFD00000 mask FFFC00000 write-protect
[    0.002685]   1 base 000000000 mask F80000000 write-back
[    0.002688]   2 base 080000000 mask FC0000000 write-back
[    0.002690]   3 base 0BC000000 mask FFC000000 uncachable
[    0.002692]   4 base 0BB000000 mask FFF000000 uncachable
[    0.002694]   5 base 0BAE00000 mask FFFE00000 uncachable
[    0.002697]   6 base 100000000 mask FC0000000 write-back
[    0.002698]   7 disabled
[    0.002942] x86/PAT: Configuration [0-7]: WB  WC  UC- UC  WB  WP  UC- WT
[    0.003052] last_pfn = 0xba000 max_arch_pfn = 0x400000000
[    0.008588] found SMP MP-table at [mem 0x000fe1c0-0x000fe1cf]
[    0.008622] BRK [0x3de01000, 0x3de01fff] PGTABLE
[    0.008626] BRK [0x3de02000, 0x3de02fff] PGTABLE
[    0.008628] BRK [0x3de03000, 0x3de03fff] PGTABLE
[    0.008703] BRK [0x3de04000, 0x3de04fff] PGTABLE
[    0.008708] BRK [0x3de05000, 0x3de05fff] PGTABLE
[    0.009052] BRK [0x3de06000, 0x3de06fff] PGTABLE
[    0.009218] RAMDISK: [mem 0x34892000-0x36440fff]
[    0.009226] ACPI: Early table checksum verification disabled
[    0.009412] ACPI: RSDP 0x00000000000FE020 000024 (v02 INSYDE)
[    0.009419] ACPI: XSDT 0x00000000B9158120 0000A4 (v01 INSYDE INSYDE   00000003      01000013)
[    0.009429] ACPI: FACP 0x00000000B9155000 00010C (v05 INSYDE INSYDE   00000003 ACPI 00040000)
[    0.009439] ACPI: DSDT 0x00000000B9144000 009F79 (v02 INSYDE INSYDE   00000003 ACPI 00040000)
[    0.009446] ACPI: FACS 0x00000000B90D2000 000040
[    0.009452] ACPI: UEFI 0x00000000B9157000 000236 (v01 INSYDE INSYDE   00000001 ACPI 00040000)
[    0.009459] ACPI: HPET 0x00000000B9154000 000038 (v01 INSYDE INSYDE   00000003 ACPI 00040000)
[    0.009465] ACPI: LPIT 0x00000000B9153000 000104 (v01 INSYDE INSYDE   00000003 ACPI 00040000)
[    0.009472] ACPI: APIC 0x00000000B9152000 000084 (v03 INSYDE INSYDE   00000003 ACPI 00040000)
[    0.009479] ACPI: MCFG 0x00000000B9151000 00003C (v01 INSYDE INSYDE   00000003 ACPI 00040000)
[    0.009485] ACPI: SLIC 0x00000000B9150000 000176 (v01 INSYDE INSYDE   00000003 ACPI 00040000)
[    0.009492] ACPI: WDAT 0x00000000B914F000 0001C4 (v01 INSYDE INSYDE   00000003 ACPI 00040000)
[    0.009499] ACPI: WDRT 0x00000000B914E000 000047 (v01 INSYDE INSYDE   00000003 ACPI 00040000)
[    0.009505] ACPI: SSDT 0x00000000B9143000 000763 (v01 INSYDE CpuPm    00003000 ACPI 00040000)
[    0.009512] ACPI: SSDT 0x00000000B9142000 000290 (v01 INSYDE Cpu0Tst  00003000 ACPI 00040000)
[    0.009519] ACPI: SSDT 0x00000000B9141000 00017A (v01 INSYDE ApTst    00003000 ACPI 00040000)
[    0.009526] ACPI: UEFI 0x00000000B9140000 000042 (v01 INSYDE INSYDE   00000000 ACPI 00040000)
[    0.009532] ACPI: SSDT 0x00000000B913F000 00065B (v01 INSYDE SIOACPI  00001000 ACPI 00040000)
[    0.009539] ACPI: SSDT 0x00000000B913E000 00022B (v01 INSYDE IsctTabl 00001000 ACPI 00040000)
[    0.009546] ACPI: FPDT 0x00000000B913D000 000044 (v01 INSYDE INSYDE   00000002 ACPI 00040000)
[    0.009561] ACPI: Local APIC address 0xfee00000
[    0.009596] Zone ranges:
[    0.009598]   DMA      [mem 0x0000000000001000-0x0000000000ffffff]
[    0.009601]   DMA32    [mem 0x0000000001000000-0x00000000ffffffff]
[    0.009604]   Normal   [mem 0x0000000100000000-0x000000013fffffff]
[    0.009606] Movable zone start for each node
[    0.009607] Early memory node ranges
[    0.009609]   node   0: [mem 0x0000000000001000-0x000000000009dfff]
[    0.009611]   node   0: [mem 0x0000000000100000-0x00000000b8918fff]
[    0.009612]   node   0: [mem 0x00000000b9159000-0x00000000b9ffffff]
[    0.009614]   node   0: [mem 0x0000000100000000-0x000000013fffffff]
[    0.009621] Reserved but unavailable: 99 pages
[    0.009624] Initmem setup node 0 [mem 0x0000000000001000-0x000000013fffffff]
[    0.009627] On node 0 totalpages: 1021789
[    0.009629]   DMA zone: 64 pages used for memmap
[    0.009630]   DMA zone: 21 pages reserved
[    0.009632]   DMA zone: 3997 pages, LIFO batch:0
[    0.009799]   DMA32 zone: 11807 pages used for memmap
[    0.009801]   DMA32 zone: 755648 pages, LIFO batch:63
[    0.043949]   Normal zone: 4096 pages used for memmap
[    0.043952]   Normal zone: 262144 pages, LIFO batch:63
[    0.054873] x86/hpet: Will disable the HPET for this platform because it's not reliable
[    0.054882] Reserving Intel graphics memory at [mem 0xbb000000-0xbeffffff]
[    0.055050] ACPI: PM-Timer IO Port: 0x408
[    0.055054] ACPI: Local APIC address 0xfee00000
[    0.055066] ACPI: LAPIC_NMI (acpi_id[0x01] high level lint[0x1])
[    0.055068] ACPI: LAPIC_NMI (acpi_id[0x02] high level lint[0x1])
[    0.055069] ACPI: LAPIC_NMI (acpi_id[0x03] high level lint[0x1])
[    0.055071] ACPI: LAPIC_NMI (acpi_id[0x04] high level lint[0x1])
[    0.055085] IOAPIC[0]: apic_id 2, version 32, address 0xfec00000, GSI 0-86
[    0.055088] ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
[    0.055091] ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
[    0.055093] ACPI: IRQ0 used by override.
[    0.055096] ACPI: IRQ9 used by override.
[    0.055099] Using ACPI (MADT) for SMP configuration information
[    0.055101] ACPI: HPET id: 0x8086a201 base: 0xfed00000
[    0.055111] smpboot: Allowing 4 CPUs, 0 hotplug CPUs
[    0.055150] [mem 0xc0000000-0xdfffffff] available for PCI devices
[    0.055152] Booting paravirtualized kernel on bare hardware
[    0.055158] clocksource: refined-jiffies: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 7645519600211568 ns
[    0.216349] random: get_random_bytes called from 0xffffffffa4938a2e with crng_init=0
[    0.216368] setup_percpu: NR_CPUS:256 nr_cpumask_bits:256 nr_cpu_ids:4 nr_node_ids:1
[    0.217145] percpu: Embedded 43 pages/cpu s136152 r8192 d31784 u524288
[    0.217160] pcpu-alloc: s136152 r8192 d31784 u524288 alloc=1*2097152
[    0.217163] pcpu-alloc: [0] 0 1 2 3
[    0.217208] Built 1 zonelists, mobility grouping on.  Total pages: 1005801
[    0.217212] Kernel command line: BOOT_IMAGE=/boot/1.3-rolling-201910310242/vmlinuz boot=live quiet rootdelay=5 noautologin net.ifnames=0 biosdevname=0 vyos-union=/boot/1.3-rolling-201910310242 console=ttyS0,115200 console=tty0
[    0.218666] Dentry cache hash table entries: 524288 (order: 10, 4194304 bytes)
[    0.219331] Inode-cache hash table entries: 262144 (order: 9, 2097152 bytes)
[    0.241451] Calgary: detecting Calgary via BIOS EBDA area
[    0.241468] Calgary: Unable to locate Rio Grande table in EBDA - bailing!
[    0.271999] Memory: 3901788K/4087156K available (8204K kernel code, 638K rwdata, 1500K rodata, 1112K init, 1852K bss, 185368K reserved, 0K cma-reserved)
[    0.272249] SLUB: HWalign=64, Order=0-3, MinObjects=0, CPUs=4, Nodes=1
[    0.272260] Kernel/User page tables isolation: enabled
[    0.272433] rcu: Hierarchical RCU implementation.
[    0.272437] rcu:     RCU restricting CPUs from NR_CPUS=256 to nr_cpu_ids=4.
[    0.272440] rcu: Adjusting geometry for rcu_fanout_leaf=16, nr_cpu_ids=4
[    0.272457] NR_IRQS: 16640, nr_irqs: 1024, preallocated irqs: 16
[    0.274785] Console: colour VGA+ 80x25
[    0.274792] console [tty0] enabled
[    0.274818] console [ttyS0] enabled
[    0.274829] ACPI: Core revision 20180810
[    0.275080] APIC: Switch to symmetric I/O mode setup
[    0.276144] ..TIMER: vector=0x30 apic1=0 pin1=2 apic2=-1 pin2=-1
[    0.295088] clocksource: tsc-early: mask: 0xffffffffffffffff max_cycles: 0x39a275294b2, max_idle_ns: 881590412759 ns
[    0.295108] Calibrating delay loop (skipped), value calculated using timer frequency.. 3998.40 BogoMIPS (lpj=7996800)
[    0.295113] pid_max: default: 32768 minimum: 301
[    0.295183] Security Framework initialized
[    0.295237] Mount-cache hash table entries: 8192 (order: 4, 65536 bytes)
[    0.295259] Mountpoint-cache hash table entries: 8192 (order: 4, 65536 bytes)
[    0.295644] ENERGY_PERF_BIAS: Set to 'normal', was 'performance'
[    0.295646] ENERGY_PERF_BIAS: View and update with x86_energy_perf_policy(8)
[    0.295666] process: using mwait in idle threads
[    0.295672] Last level iTLB entries: 4KB 48, 2MB 0, 4MB 0
[    0.295673] Last level dTLB entries: 4KB 128, 2MB 16, 4MB 16, 1GB 0
[    0.295676] Spectre V1 : Mitigation: usercopy/swapgs barriers and __user pointer sanitization
[    0.295679] Spectre V2 : Mitigation: Full generic retpoline
[    0.295680] Spectre V2 : Spectre v2 / SpectreRSB mitigation: Filling RSB on context switch
[    0.295715] MDS: Vulnerable: Clear CPU buffers attempted, no microcode
[    0.295961] Freeing SMP alternatives memory: 20K
[    0.299260] TSC deadline timer enabled
[    0.299264] smpboot: CPU0: Intel(R) Celeron(R) CPU  J1900  @ 1.99GHz (family: 0x6, model: 0x37, stepping: 0x8)
[    0.299513] Performance Events: PEBS fmt2+, 8-deep LBR, Silvermont events, 8-deep LBR, full-width counters, Intel PMU driver.
[    0.299532] ... version:                3
[    0.299533] ... bit width:              40
[    0.299535] ... generic registers:      2
[    0.299536] ... value mask:             000000ffffffffff
[    0.299537] ... max period:             0000007fffffffff
[    0.299538] ... fixed-purpose events:   3
[    0.299540] ... event mask:             0000000700000003
[    0.299616] rcu: Hierarchical SRCU implementation.
[    0.300690] NMI watchdog: Enabled. Permanently consumes one hw-PMU counter.
[    0.300820] smp: Bringing up secondary CPUs ...
[    0.301036] x86: Booting SMP configuration:
[    0.301038] .... node  #0, CPUs:      #1 #2 #3
[    0.301263] smp: Brought up 1 node, 4 CPUs
[    0.301263] smpboot: Max logical packages: 1
[    0.301263] smpboot: Total of 4 processors activated (15993.60 BogoMIPS)
[    0.303114] devtmpfs: initialized
[    0.303196] x86/mm: Memory block size: 128MB
[    0.304022] PM: Registering ACPI NVS region [mem 0xb8f19000-0xb9118fff] (2097152 bytes)
[    0.304022] clocksource: jiffies: mask: 0xffffffff max_cycles: 0xffffffff, max_idle_ns: 7645041785100000 ns
[    0.304022] futex hash table entries: 1024 (order: 4, 65536 bytes)
[    0.304022] pinctrl core: initialized pinctrl subsystem
[    0.304022] NET: Registered protocol family 16
[    0.304022] audit: initializing netlink subsys (disabled)
[    0.304022] audit: type=2000 audit(1572539486.028:1): state=initialized audit_enabled=0 res=1
[    0.304022] cpuidle: using governor ladder
[    0.304022] cpuidle: using governor menu
[    0.304022] ACPI: bus type PCI registered
[    0.304022] acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
[    0.304022] dca service started, version 1.12.1
[    0.304022] PCI: MMCONFIG for domain 0000 [bus 00-3f] at [mem 0xe0000000-0xe3ffffff] (base 0xe0000000)
[    0.304022] PCI: MMCONFIG at [mem 0xe0000000-0xe3ffffff] reserved in E820
[    0.304022] PCI: Using configuration type 1 for base access
[    0.307167] HugeTLB registered 2.00 MiB page size, pre-allocated 0 pages
[    0.307253] ACPI: Added _OSI(Module Device)
[    0.307255] ACPI: Added _OSI(Processor Device)
[    0.307257] ACPI: Added _OSI(3.0 _SCP Extensions)
[    0.307258] ACPI: Added _OSI(Processor Aggregator Device)
[    0.307260] ACPI: Added _OSI(Linux-Dell-Video)
[    0.307262] ACPI: Added _OSI(Linux-Lenovo-NV-HDMI-Audio)
[    0.319905] ACPI: 6 ACPI AML tables successfully acquired and loaded
[    0.325284] ACPI: Dynamic OEM Table Load:
[    0.325284] ACPI: SSDT 0xFFFF9C54FB193000 0003BC (v01 PmRef  Cpu0Ist  00003000 INTL 20130117)
[    0.325284] ACPI: Dynamic OEM Table Load:
[    0.325284] ACPI: SSDT 0xFFFF9C54FB3EA800 000433 (v01 PmRef  Cpu0Cst  00003001 INTL 20130117)
[    0.327561] ACPI: Dynamic OEM Table Load:
[    0.327571] ACPI: SSDT 0xFFFF9C54FB389000 00015F (v01 PmRef  ApIst    00003000 INTL 20130117)
[    0.327831] ACPI: Dynamic OEM Table Load:
[    0.327831] ACPI: SSDT 0xFFFF9C54FB315180 00008D (v01 PmRef  ApCst    00003000 INTL 20130117)
[    0.328391] ACPI: Interpreter enabled
[    0.328419] ACPI: (supports S0 S5)
[    0.328422] ACPI: Using IOAPIC for interrupt routing
[    0.328484] PCI: Using host bridge windows from ACPI; if necessary, use "pci=nocrs" and report a bug
[    0.329200] ACPI: Enabled 6 GPEs in block 00 to 3F
[    0.333060] ACPI: Power Resource [USBC] (on)
[    0.338857] ACPI: Power Resource [PLPE] (on)
[    0.339273] ACPI: Power Resource [PLPE] (on)
[    0.345794] ACPI: Power Resource [CLK0] (on)
[    0.345869] ACPI: Power Resource [CLK1] (on)
[    0.348870] ACPI: Power Resource [FN00] (off)
[    0.349942] ACPI: PCI Root Bridge [PCI0] (domain 0000 [bus 00-ff])
[    0.349951] acpi PNP0A08:00: _OSC: OS supports [ExtendedConfig ASPM ClockPM Segments MSI]
[    0.783188] ACPI: Dynamic OEM Table Load:
[    0.783201] ACPI: SSDT 0xFFFF9C54FB1AEC80 00007B (v01 Insyde ACPI5P0  00001000 INTL 20130117)
[    0.783455] acpi PNP0A08:00: _OSC failed (AE_ERROR); disabling ASPM
[    0.783455] acpi PNP0A08:00: [Firmware Info]: MMCONFIG for domain 0000 [bus 00-3f] only partially covers this bridge
[    0.783783] PCI host bridge to bus 0000:00
[    0.783788] pci_bus 0000:00: root bus resource [io  0x0070-0x0077]
[    0.783791] pci_bus 0000:00: root bus resource [io  0x0000-0x006f window]
[    0.783794] pci_bus 0000:00: root bus resource [io  0x0078-0x0cf7 window]
[    0.783796] pci_bus 0000:00: root bus resource [io  0x0d00-0xffff window]
[    0.783799] pci_bus 0000:00: root bus resource [mem 0x000a0000-0x000bffff window]
[    0.783802] pci_bus 0000:00: root bus resource [mem 0x000c0000-0x000dffff window]
[    0.783804] pci_bus 0000:00: root bus resource [mem 0x000e0000-0x000fffff window]
[    0.783807] pci_bus 0000:00: root bus resource [mem 0xc0000000-0xd0affffe window]
[    0.783809] pci_bus 0000:00: root bus resource [mem 0x140000000-0x53fffffff window]
[    0.783813] pci_bus 0000:00: root bus resource [bus 00-ff]
[    0.783825] pci 0000:00:00.0: [8086:0f00] type 00 class 0x060000
[    0.784016] pci 0000:00:02.0: [8086:0f31] type 00 class 0x030000
[    0.784031] pci 0000:00:02.0: reg 0x10: [mem 0xd0000000-0xd03fffff]
[    0.784042] pci 0000:00:02.0: reg 0x18: [mem 0xc0000000-0xcfffffff pref]
[    0.784052] pci 0000:00:02.0: reg 0x20: [io  0x5050-0x5057]
[    0.784220] pci 0000:00:13.0: [8086:0f21] type 00 class 0x01018f
[    0.784240] pci 0000:00:13.0: reg 0x10: [io  0x5048-0x504f]
[    0.784250] pci 0000:00:13.0: reg 0x14: [io  0x505c-0x505f]
[    0.784259] pci 0000:00:13.0: reg 0x18: [io  0x5040-0x5047]
[    0.784268] pci 0000:00:13.0: reg 0x1c: [io  0x5058-0x505b]
[    0.784277] pci 0000:00:13.0: reg 0x20: [io  0x5030-0x503f]
[    0.784286] pci 0000:00:13.0: reg 0x24: [io  0x5020-0x502f]
[    0.784445] pci 0000:00:14.0: [8086:0f35] type 00 class 0x0c0330
[    0.784467] pci 0000:00:14.0: reg 0x10: [mem 0xd0a00000-0xd0a0ffff 64bit]
[    0.784527] pci 0000:00:14.0: PME# supported from D3hot D3cold
[    0.784669] pci 0000:00:1a.0: [8086:0f18] type 00 class 0x108000
[    0.784700] pci 0000:00:1a.0: reg 0x10: [mem 0xd0900000-0xd09fffff]
[    0.784713] pci 0000:00:1a.0: reg 0x14: [mem 0xd0800000-0xd08fffff]
[    0.787179] pci 0000:00:1a.0: PME# supported from D0 D3hot
[    0.787320] pci 0000:00:1b.0: [8086:0f04] type 00 class 0x040300
[    0.787346] pci 0000:00:1b.0: reg 0x10: [mem 0xd0a10000-0xd0a13fff 64bit]
[    0.787417] pci 0000:00:1b.0: PME# supported from D0 D3hot D3cold
[    0.787552] pci 0000:00:1c.0: [8086:0f48] type 01 class 0x060400
[    0.787623] pci 0000:00:1c.0: PME# supported from D0 D3hot D3cold
[    0.787761] pci 0000:00:1c.1: [8086:0f4a] type 01 class 0x060400
[    0.787831] pci 0000:00:1c.1: PME# supported from D0 D3hot D3cold
[    0.787972] pci 0000:00:1c.2: [8086:0f4c] type 01 class 0x060400
[    0.788041] pci 0000:00:1c.2: PME# supported from D0 D3hot D3cold
[    0.788183] pci 0000:00:1c.3: [8086:0f4e] type 01 class 0x060400
[    0.788252] pci 0000:00:1c.3: PME# supported from D0 D3hot D3cold
[    0.788395] pci 0000:00:1f.0: [8086:0f1c] type 00 class 0x060100
[    0.788596] pci 0000:00:1f.3: [8086:0f12] type 00 class 0x0c0500
[    0.788640] pci 0000:00:1f.3: reg 0x10: [mem 0xd0a15000-0xd0a1501f]
[    0.788710] pci 0000:00:1f.3: reg 0x20: [io  0x5000-0x501f]
[    0.789017] pci 0000:01:00.0: [8086:1539] type 00 class 0x020000
[    0.789056] pci 0000:01:00.0: reg 0x10: [mem 0xd0700000-0xd071ffff]
[    0.789083] pci 0000:01:00.0: reg 0x18: [io  0x4000-0x401f]
[    0.789098] pci 0000:01:00.0: reg 0x1c: [mem 0xd0720000-0xd0723fff]
[    0.789236] pci 0000:01:00.0: PME# supported from D0 D3hot D3cold
[    0.789388] pci 0000:00:1c.0: PCI bridge to [bus 01]
[    0.789393] pci 0000:00:1c.0:   bridge window [io  0x4000-0x4fff]
[    0.789397] pci 0000:00:1c.0:   bridge window [mem 0xd0700000-0xd07fffff]
[    0.789494] pci 0000:02:00.0: [8086:1539] type 00 class 0x020000
[    0.789532] pci 0000:02:00.0: reg 0x10: [mem 0xd0600000-0xd061ffff]
[    0.789559] pci 0000:02:00.0: reg 0x18: [io  0x3000-0x301f]
[    0.789574] pci 0000:02:00.0: reg 0x1c: [mem 0xd0620000-0xd0623fff]
[    0.789712] pci 0000:02:00.0: PME# supported from D0 D3hot D3cold
[    0.789865] pci 0000:00:1c.1: PCI bridge to [bus 02]
[    0.789870] pci 0000:00:1c.1:   bridge window [io  0x3000-0x3fff]
[    0.789874] pci 0000:00:1c.1:   bridge window [mem 0xd0600000-0xd06fffff]
[    0.789972] pci 0000:03:00.0: [8086:1539] type 00 class 0x020000
[    0.790010] pci 0000:03:00.0: reg 0x10: [mem 0xd0500000-0xd051ffff]
[    0.790037] pci 0000:03:00.0: reg 0x18: [io  0x2000-0x201f]
[    0.790052] pci 0000:03:00.0: reg 0x1c: [mem 0xd0520000-0xd0523fff]
[    0.790190] pci 0000:03:00.0: PME# supported from D0 D3hot D3cold
[    0.790339] pci 0000:00:1c.2: PCI bridge to [bus 03]
[    0.790344] pci 0000:00:1c.2:   bridge window [io  0x2000-0x2fff]
[    0.790348] pci 0000:00:1c.2:   bridge window [mem 0xd0500000-0xd05fffff]
[    0.790440] pci 0000:04:00.0: [8086:1539] type 00 class 0x020000
[    0.790478] pci 0000:04:00.0: reg 0x10: [mem 0xd0400000-0xd041ffff]
[    0.790506] pci 0000:04:00.0: reg 0x18: [io  0x1000-0x101f]
[    0.790521] pci 0000:04:00.0: reg 0x1c: [mem 0xd0420000-0xd0423fff]
[    0.790658] pci 0000:04:00.0: PME# supported from D0 D3hot D3cold
[    0.790807] pci 0000:00:1c.3: PCI bridge to [bus 04]
[    0.790812] pci 0000:00:1c.3:   bridge window [io  0x1000-0x1fff]
[    0.790816] pci 0000:00:1c.3:   bridge window [mem 0xd0400000-0xd04fffff]
[    0.790838] pci_bus 0000:00: on NUMA node 0
[    0.791910] ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 6 10 11 12 14 15) *7
[    0.792041] ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 6 *10 11 12 14 15)
[    0.792170] ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 5 6 10 *11 12 14 15)
[    0.792298] ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 5 6 *10 11 12 14 15)
[    0.792427] ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 5 6 10 *11 12 14 15)
[    0.792554] ACPI: PCI Interrupt Link [LNKF] (IRQs 3 4 5 6 10 *11 12 14 15)
[    0.792683] ACPI: PCI Interrupt Link [LNKG] (IRQs 3 4 5 6 10 11 12 14 15) *7
[    0.792811] ACPI: PCI Interrupt Link [LNKH] (IRQs 3 4 5 6 10 11 12 14 15) *7
[    0.795358] ACPI: bus type USB registered
[    0.795390] usbcore: registered new interface driver usbfs
[    0.795405] usbcore: registered new interface driver hub
[    0.795440] usbcore: registered new device driver usb
[    0.795485] pps_core: LinuxPPS API ver. 1 registered
[    0.795487] pps_core: Software ver. 5.3.6 - Copyright 2005-2007 Rodolfo Giometti <giometti@linux.it>
[    0.795497] PTP clock support registered
[    0.795512] EDAC MC: Ver: 3.0.0
[    0.795632] PCI: Using ACPI for IRQ routing
[    0.796541] PCI: pci_cache_line_size set to 64 bytes
[    0.796600] e820: reserve RAM buffer [mem 0x0009e800-0x0009ffff]
[    0.796603] e820: reserve RAM buffer [mem 0xb8919000-0xbbffffff]
[    0.796605] e820: reserve RAM buffer [mem 0xba000000-0xbbffffff]
[    0.796790] clocksource: Switched to clocksource tsc-early
[    0.796790] pnp: PnP ACPI init
[    0.796790] pnp 00:00: Plug and Play ACPI device, IDs PNP0b00 (active)
[    0.796790] system 00:01: [io  0x0680-0x069f] has been reserved
[    0.796790] system 00:01: [io  0x0400-0x047f] has been reserved
[    0.796790] system 00:01: [io  0x0500-0x05fe] has been reserved
[    0.796790] system 00:01: [mem 0xfed40000-0xfed44fff] has been reserved
[    0.796790] system 00:01: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.796790] pnp 00:02: Plug and Play ACPI device, IDs PNP0501 (active)
[    0.796790] pnp 00:03: Plug and Play ACPI device, IDs PNP0501 (active)
[    0.796987] system 00:04: [mem 0xe0000000-0xefffffff] could not be reserved
[    0.796991] system 00:04: [mem 0xfed01000-0xfed01fff] has been reserved
[    0.796994] system 00:04: [mem 0xfed03000-0xfed03fff] has been reserved
[    0.796997] system 00:04: [mem 0xfed04000-0xfed04fff] has been reserved
[    0.797000] system 00:04: [mem 0xfed0c000-0xfed0ffff] has been reserved
[    0.797003] system 00:04: [mem 0xfed08000-0xfed08fff] has been reserved
[    0.797005] system 00:04: [mem 0xfed1c000-0xfed1cfff] has been reserved
[    0.797009] system 00:04: [mem 0xfee00000-0xfeefffff] could not be reserved
[    0.797012] system 00:04: [mem 0xfef00000-0xfeffffff] has been reserved
[    0.797021] system 00:04: Plug and Play ACPI device, IDs PNP0c02 (active)
[    0.799102] pnp: PnP ACPI: found 5 devices
[    0.806877] clocksource: acpi_pm: mask: 0xffffff max_cycles: 0xffffff, max_idle_ns: 2085701024 ns
[    0.806918] pci 0000:00:1c.0: PCI bridge to [bus 01]
[    0.806922] pci 0000:00:1c.0:   bridge window [io  0x4000-0x4fff]
[    0.806927] pci 0000:00:1c.0:   bridge window [mem 0xd0700000-0xd07fffff]
[    0.806936] pci 0000:00:1c.1: PCI bridge to [bus 02]
[    0.806939] pci 0000:00:1c.1:   bridge window [io  0x3000-0x3fff]
[    0.806944] pci 0000:00:1c.1:   bridge window [mem 0xd0600000-0xd06fffff]
[    0.806951] pci 0000:00:1c.2: PCI bridge to [bus 03]
[    0.806954] pci 0000:00:1c.2:   bridge window [io  0x2000-0x2fff]
[    0.806958] pci 0000:00:1c.2:   bridge window [mem 0xd0500000-0xd05fffff]
[    0.806966] pci 0000:00:1c.3: PCI bridge to [bus 04]
[    0.806969] pci 0000:00:1c.3:   bridge window [io  0x1000-0x1fff]
[    0.806973] pci 0000:00:1c.3:   bridge window [mem 0xd0400000-0xd04fffff]
[    0.806981] pci_bus 0000:00: resource 4 [io  0x0070-0x0077]
[    0.806984] pci_bus 0000:00: resource 5 [io  0x0000-0x006f window]
[    0.806987] pci_bus 0000:00: resource 6 [io  0x0078-0x0cf7 window]
[    0.806990] pci_bus 0000:00: resource 7 [io  0x0d00-0xffff window]
[    0.806993] pci_bus 0000:00: resource 8 [mem 0x000a0000-0x000bffff window]
[    0.806995] pci_bus 0000:00: resource 9 [mem 0x000c0000-0x000dffff window]
[    0.806998] pci_bus 0000:00: resource 10 [mem 0x000e0000-0x000fffff window]
[    0.807001] pci_bus 0000:00: resource 11 [mem 0xc0000000-0xd0affffe window]
[    0.807004] pci_bus 0000:00: resource 12 [mem 0x140000000-0x53fffffff window]
[    0.807007] pci_bus 0000:01: resource 0 [io  0x4000-0x4fff]
[    0.807009] pci_bus 0000:01: resource 1 [mem 0xd0700000-0xd07fffff]
[    0.807012] pci_bus 0000:02: resource 0 [io  0x3000-0x3fff]
[    0.807015] pci_bus 0000:02: resource 1 [mem 0xd0600000-0xd06fffff]
[    0.807018] pci_bus 0000:03: resource 0 [io  0x2000-0x2fff]
[    0.807020] pci_bus 0000:03: resource 1 [mem 0xd0500000-0xd05fffff]
[    0.807023] pci_bus 0000:04: resource 0 [io  0x1000-0x1fff]
[    0.807025] pci_bus 0000:04: resource 1 [mem 0xd0400000-0xd04fffff]
[    0.807193] NET: Registered protocol family 2
[    0.807468] tcp_listen_portaddr_hash hash table entries: 2048 (order: 3, 32768 bytes)
[    0.807491] TCP established hash table entries: 32768 (order: 6, 262144 bytes)
[    0.807584] TCP bind hash table entries: 32768 (order: 7, 524288 bytes)
[    0.807738] TCP: Hash tables configured (established 32768 bind 32768)
[    0.807813] UDP hash table entries: 2048 (order: 4, 65536 bytes)
[    0.807849] UDP-Lite hash table entries: 2048 (order: 4, 65536 bytes)
[    0.807980] NET: Registered protocol family 1
[    0.808009] pci 0000:00:02.0: Video device with shadowed ROM at [mem 0x000c0000-0x000dffff]
[    0.808388] PCI: CLS 64 bytes, default 64
[    0.808481] Unpacking initramfs...
[    1.611980] Freeing initrd memory: 28348K
[    1.611991] PCI-DMA: Using software bounce buffering for IO (SWIOTLB)
[    1.611994] software IO TLB: mapped [mem 0xb4919000-0xb8919000] (64MB)
[    1.612081] clocksource: tsc: mask: 0xffffffffffffffff max_cycles: 0x39a275294b2, max_idle_ns: 881590412759 ns
[    1.612157] clocksource: Switched to clocksource tsc
[    1.612742] Initialise system trusted keyrings
[    1.612850] workingset: timestamp_bits=46 max_order=20 bucket_order=0
[    2.325585] Key type asymmetric registered
[    2.325588] Asymmetric key parser 'x509' registered
[    2.325616] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 248)
[    2.325682] io scheduler noop registered
[    2.325684] io scheduler deadline registered
[    2.325758] io scheduler cfq registered (default)
[    2.325760] io scheduler mq-deadline registered
[    2.326717] shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
[    2.326742] intel_idle: MWAIT substates: 0x33000020
[    2.326744] intel_idle: v0.4.1 model 0x37
[    2.327081] intel_idle: lapic_timer_reliable_states 0xffffffff
[    2.329801] ioatdma: Intel(R) QuickData Technology Driver 4.00
[    2.330033] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
[    2.350721] 00:02: ttyS0 at I/O 0x3f8 (irq = 4, base_baud = 115200) is a 16550A
[    2.371987] 00:03: ttyS1 at I/O 0x2f8 (irq = 3, base_baud = 115200) is a 16550A
[    2.375233] hpet: number irqs doesn't agree with number of timers
[    2.375291] AMD IOMMUv2 driver by Joerg Roedel <jroedel@suse.de>
[    2.375293] AMD IOMMUv2 functionality not available on this system
[    2.377269] i8042: PNP: No PS/2 controller found.
[    2.377273] i8042: Probing ports directly.
[    2.378177] serio: i8042 KBD port at 0x60,0x64 irq 1
[    2.378189] serio: i8042 AUX port at 0x60,0x64 irq 12
[    2.378264] rtc_cmos 00:00: RTC can wake from S4
[    2.378909] rtc_cmos 00:00: registered as rtc0
[    2.378943] rtc_cmos 00:00: alarms up to one month, y3k, 242 bytes nvram
[    2.378961] intel_pstate: Intel P-state driver initializing
[    2.380412] ledtrig-cpu: registered to indicate activity on CPUs
[    2.380956] pmc_atom: Lex 3I380D critclks quirk enabled
[    2.381542] NET: Registered protocol family 10
[    2.406480] Segment Routing with IPv6
[    2.406531] mip6: Mobile IPv6
[    2.407826] mce: Using 6 MCE banks
[    2.407909] microcode: sig=0x30678, pf=0x4, revision=0x815
[    2.408825] microcode: Microcode Update Driver: v2.2.
[    2.408847] sched_clock: Marking stable (2406504002, 2304874)->(2421206697, -12397821)
[    2.410960] registered taskstats version 1
[    2.410962] Loading compiled-in X.509 certificates
[    2.411793] rtc_cmos 00:00: setting system clock to 2019-10-31 16:31:28 UTC (1572539488)
[    2.414269] Freeing unused kernel image memory: 1112K
[    2.431507] Write protecting the kernel read-only data: 12288k
[    2.434415] Freeing unused kernel image memory: 2028K
[    2.435666] Freeing unused kernel image memory: 548K
[    2.453705] x86/mm: Checked W+X mappings: passed, no W+X pages found.
[    2.454339] x86/mm: Checking user space page tables
[    2.467723] x86/mm: Checked W+X mappings: passed, no W+X pages found.
[    2.467725] Run /init as init process
[    2.642155] thermal LNXTHERM:00: registered as thermal_zone0
[    2.642158] ACPI: Thermal Zone [TZ01] (34 C)
[    2.645369] xhci_hcd 0000:00:14.0: xHCI Host Controller
[    2.645380] xhci_hcd 0000:00:14.0: new USB bus registered, assigned bus number 1
[    2.646452] xhci_hcd 0000:00:14.0: hcc params 0x200077c1 hci version 0x100 quirks 0x0000000000009810
[    2.646458] xhci_hcd 0000:00:14.0: cache line size of 64 is not supported
[    2.646992] usb usb1: New USB device found, idVendor=1d6b, idProduct=0002, bcdDevice= 4.19
[    2.646995] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    2.646998] usb usb1: Product: xHCI Host Controller
[    2.647000] usb usb1: Manufacturer: Linux 4.19.76-amd64-vyos xhci-hcd
[    2.647003] usb usb1: SerialNumber: 0000:00:14.0
[    2.647780] hub 1-0:1.0: USB hub found
[    2.647806] hub 1-0:1.0: 6 ports detected
[    2.648641] i801_smbus 0000:00:1f.3: SMBus using PCI interrupt
[    2.649960] xhci_hcd 0000:00:14.0: xHCI Host Controller
[    2.649968] xhci_hcd 0000:00:14.0: new USB bus registered, assigned bus number 2
[    2.649975] xhci_hcd 0000:00:14.0: Host supports USB 3.0 SuperSpeed
[    2.650384] usb usb2: New USB device found, idVendor=1d6b, idProduct=0003, bcdDevice= 4.19
[    2.650388] usb usb2: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    2.650390] usb usb2: Product: xHCI Host Controller
[    2.650392] usb usb2: Manufacturer: Linux 4.19.76-amd64-vyos xhci-hcd
[    2.650394] usb usb2: SerialNumber: 0000:00:14.0
[    2.652472] hub 2-0:1.0: USB hub found
[    2.652489] hub 2-0:1.0: 1 port detected
[    2.653897] SCSI subsystem initialized
[    2.667758] libata version 3.00 loaded.
[    2.675896] ata_piix 0000:00:13.0: version 2.13
[    2.676049] ata_piix 0000:00:13.0: MAP [ P0 -- P1 -- ]
[    2.835484] ata_piix 0000:00:13.0: SCR access via SIDPR is available but doesn't work
[    2.836286] scsi host0: ata_piix
[    2.836771] scsi host1: ata_piix
[    2.836893] ata1: SATA max UDMA/133 cmd 0x5048 ctl 0x505c bmdma 0x5030 irq 19
[    2.836897] ata2: SATA max UDMA/133 cmd 0x5040 ctl 0x5058 bmdma 0x5038 irq 19
[    2.987474] usb 1-4: new high-speed USB device number 2 using xhci_hcd
[    3.006918] ata2.00: ATA-8: mSATA mini 3ME3, S16425, max UDMA/133
[    3.006922] ata2.00: 15649200 sectors, multi 1: LBA48 NCQ (depth 0/32)
[    3.007898] scsi 1:0:0:0: Direct-Access     ATA      mSATA mini 3ME3  25   PQ: 0 ANSI: 5
[    3.018031] sd 1:0:0:0: [sda] 15649200 512-byte logical blocks: (8.01 GB/7.46 GiB)
[    3.018046] sd 1:0:0:0: [sda] Write Protect is off
[    3.018048] sd 1:0:0:0: [sda] Mode Sense: 00 3a 00 00
[    3.018067] sd 1:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    3.019317]  sda: sda1
[    3.020056] sd 1:0:0:0: [sda] Attached SCSI disk
[    3.191628] raid6: sse2x1   gen()  1368 MB/s
[    3.259564] raid6: sse2x1   xor()  2445 MB/s
[    3.327547] raid6: sse2x2   gen()  2459 MB/s
[    3.395555] raid6: sse2x2   xor()  2915 MB/s
[    3.463556] raid6: sse2x4   gen()  3464 MB/s
[    3.531569] raid6: sse2x4   xor()  2375 MB/s
[    3.531571] raid6: using algorithm sse2x4 gen() 3464 MB/s
[    3.531572] raid6: .... xor() 2375 MB/s, rmw enabled
[    3.531574] raid6: using ssse3x2 recovery algorithm
[    3.532872] usb 1-4: New USB device found, idVendor=14cd, idProduct=8601, bcdDevice= 0.00
[    3.532875] usb 1-4: New USB device strings: Mfr=1, Product=3, SerialNumber=0
[    3.532877] usb 1-4: Product: USB 2.0 Hub
[    3.532879] usb 1-4: Manufacturer: USB Device
[    3.533239] async_tx: api initialized (async)
[    3.533419] hub 1-4:1.0: USB hub found
[    3.533489] hub 1-4:1.0: 4 ports detected
[    3.533903] xor: measuring software checksum speed
[    3.571099]    prefetch64-sse:  7496.000 MB/sec
[    3.611097]    generic_sse:  6799.000 MB/sec
[    3.611098] xor: using function: prefetch64-sse (7496.000 MB/sec)
[    8.817949] EXT4-fs (sda1): mounted filesystem with ordered data mode. Opts: (null)
[    8.878368] loop: module loaded
[    8.926797] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[    8.962799] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    8.965263] uhci_hcd: USB Universal Host Controller Interface driver
[    8.975054] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    8.981912] usbcore: registered new interface driver usb-storage
[    9.135490] random: fast init done
[   14.523771] EXT4-fs (sda1): re-mounted. Opts: (null)
[   15.781440] systemd[1]: Inserted module 'autofs4'
[   15.814686] systemd[1]: systemd 241 running in system mode. (+PAM +AUDIT +SELINUX +IMA +APPARMOR +SMACK +SYSVINIT +UTMP +LIBCRYPTSETUP +GCRYPT +GNUTLS +ACL +XZ +LZ4 +SECCOMP +BLKID +ELFUTILS +KMOD -IDN2 +IDN -PCRE2 default-hierarchy=hybrid)
[   15.836145] systemd[1]: Detected architecture x86-64.
[   15.872980] systemd[1]: Set hostname to <localhost.localdomain>.
[   15.873643] systemd[1]: Initializing machine ID from random generator.
[   15.880191] systemd[1]: Failed to bump fs.file-max, ignoring: Invalid argument
[   16.713493] systemd[1]: Listening on udev Kernel Socket.
[   16.726040] systemd[1]: Created slice User and Session Slice.
[   16.726431] systemd[1]: Reached target Swap.
[   16.727123] systemd[1]: Set up automount Arbitrary Executable File Formats File System Automount Point.
[   16.727710] systemd[1]: Listening on udev Control Socket.
[   16.855261] bridge: filtering via arp/ip/ip6tables is no longer available by default. Update your scripts to load br_netfilter if you need this.
[   16.856326] random: systemd-random-: uninitialized urandom read (512 bytes read)
[   16.884033] Bridge firewalling registered
[   16.996496] systemd-journald[532]: Received request to flush runtime journal from PID 1
[   17.212457] input: Power Button as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0C:00/input/input4
[   17.212474] ACPI: Power Button [PWRB]
[   17.212567] input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input5
[   17.212598] ACPI: Power Button [PWRF]
[   17.435918] cryptd: max_cpu_qlen set to 1000
[   17.448443] iTCO_vendor_support: vendor-support=0
[   17.472784] igb: loading out-of-tree module taints kernel.
[   17.516438] iTCO_wdt: Intel TCO WatchDog Timer Driver v1.11
[   17.516519] iTCO_wdt: Found a Bay Trail SoC TCO device (Version=3, TCOBASE=0x0460)
[   17.519622] Intel(R) Gigabit Ethernet Linux Driver - version 5.3.5.39
[   17.519625] Copyright(c) 2007 - 2019 Intel Corporation.
[   17.520519] iTCO_wdt: initialized. heartbeat=30 sec (nowayout=0)
[   17.607939] igb 0000:01:00.0 eth0: mixed HW and IP checksum settings.
[   17.607957] igb 0000:01:00.0 eth0: mixed HW and IP checksum settings.
[   17.610553] igb 0000:01:00.0: added PHC on eth0
[   17.610556] igb 0000:01:00.0: Intel(R) Gigabit Ethernet Linux Driver
[   17.610558] igb 0000:01:00.0: eth0: (PCIe:2.5GT/s:Width x1)
[   17.610561] igb 0000:01:00.0 eth0: MAC: 4c:02:89:12:16:ce
[   17.610565] igb 0000:01:00.0: eth0: PBA No: Unknown
[   17.610577] igb 0000:01:00.0: LRO is disabled
[   17.610580] igb 0000:01:00.0: Using MSI-X interrupts. 2 rx queue(s), 2 tx queue(s)
[   17.680286] random: mktemp: uninitialized urandom read (6 bytes read)
[   17.699727] igb 0000:02:00.0 eth1: mixed HW and IP checksum settings.
[   17.699743] igb 0000:02:00.0 eth1: mixed HW and IP checksum settings.
[   17.700088] igb 0000:02:00.0: added PHC on eth1
[   17.700091] igb 0000:02:00.0: Intel(R) Gigabit Ethernet Linux Driver
[   17.700093] igb 0000:02:00.0: eth1: (PCIe:2.5GT/s:Width x1)
[   17.700095] igb 0000:02:00.0 eth1: MAC: 4c:02:89:12:16:cf
[   17.700099] igb 0000:02:00.0: eth1: PBA No: Unknown
[   17.700112] igb 0000:02:00.0: LRO is disabled
[   17.700114] igb 0000:02:00.0: Using MSI-X interrupts. 2 rx queue(s), 2 tx queue(s)
[   17.791655] igb 0000:03:00.0 eth2: mixed HW and IP checksum settings.
[   17.791671] igb 0000:03:00.0 eth2: mixed HW and IP checksum settings.
[   17.792260] igb 0000:03:00.0: added PHC on eth2
[   17.792263] igb 0000:03:00.0: Intel(R) Gigabit Ethernet Linux Driver
[   17.792265] igb 0000:03:00.0: eth2: (PCIe:2.5GT/s:Width x1)
[   17.792267] igb 0000:03:00.0 eth2: MAC: 4c:02:89:12:16:d0
[   17.792271] igb 0000:03:00.0: eth2: PBA No: Unknown
[   17.792283] igb 0000:03:00.0: LRO is disabled
[   17.792285] igb 0000:03:00.0: Using MSI-X interrupts. 1 rx queue(s), 1 tx queue(s)
[   17.840161] random: ckbcomp: uninitialized urandom read (4 bytes read)
[   17.889239] igb 0000:04:00.0 eth3: mixed HW and IP checksum settings.
[   17.889254] igb 0000:04:00.0 eth3: mixed HW and IP checksum settings.
[   17.891497] igb 0000:04:00.0: added PHC on eth3
[   17.891500] igb 0000:04:00.0: Intel(R) Gigabit Ethernet Linux Driver
[   17.891502] igb 0000:04:00.0: eth3: (PCIe:2.5GT/s:Width x1)
[   17.891505] igb 0000:04:00.0 eth3: MAC: 4c:02:89:12:16:d1
[   17.891510] igb 0000:04:00.0: eth3: PBA No: Unknown
[   17.891521] igb 0000:04:00.0: LRO is disabled
[   17.891524] igb 0000:04:00.0: Using MSI-X interrupts. 1 rx queue(s), 1 tx queue(s)
[   17.923660] random: vyatta_net_name: uninitialized urandom read (4 bytes read)
[   17.924452] random: vyatta_net_name: uninitialized urandom read (4 bytes read)
[   17.926052] random: vyatta_net_name: uninitialized urandom read (4 bytes read)
[   18.337163] random: crng init done
[   18.337168] random: 1 urandom warning(s) missed due to ratelimiting
[   19.237409] igb 0000:02:00.0 eth1: mixed HW and IP checksum settings.
[   19.245568] igb 0000:04:00.0 eth3: mixed HW and IP checksum settings.
[   19.281492] igb 0000:03:00.0 eth2: mixed HW and IP checksum settings.
[   19.381168] igb 0000:01:00.0 eth0: mixed HW and IP checksum settings.
[   33.884832] Process accounting resumed
[   38.185555] igb 0000:01:00.0 eth0: mixed HW and IP checksum settings.
[   38.185571] igb 0000:02:00.0 eth1: mixed HW and IP checksum settings.
[   38.185582] igb 0000:03:00.0 eth2: mixed HW and IP checksum settings.
[   38.185597] igb 0000:04:00.0 eth3: mixed HW and IP checksum settings.
[   39.426323] fuse init (API version 7.27)
[  127.992567] igb 0000:03:00.0 eth2: mixed HW and IP checksum settings.
[  127.998834] igb 0000:03:00.0 eth2: mixed HW and IP checksum settings.
[  128.004988] igb 0000:03:00.0 eth2: mixed HW and IP checksum settings.
[  128.012879] igb 0000:03:00.0 eth2: mixed HW and IP checksum settings.
[  128.020873] igb 0000:03:00.0 eth2: mixed HW and IP checksum settings.
[  129.310204] IPv6: ADDRCONF(NETDEV_UP): eth2: link is not ready
[  132.488066] igb 0000:02:00.0 eth1: mixed HW and IP checksum settings.
[  132.493621] igb 0000:02:00.0 eth1: mixed HW and IP checksum settings.
[  132.499579] igb 0000:02:00.0 eth1: mixed HW and IP checksum settings.
[  132.506065] igb 0000:02:00.0 eth1: mixed HW and IP checksum settings.
[  132.512623] igb 0000:02:00.0 eth1: mixed HW and IP checksum settings.
[  133.800239] IPv6: ADDRCONF(NETDEV_UP): eth1: link is not ready
[  136.146837] igb 0000:01:00.0 eth0: mixed HW and IP checksum settings.
[  136.155300] igb 0000:01:00.0 eth0: mixed HW and IP checksum settings.
[  136.163240] igb 0000:01:00.0 eth0: mixed HW and IP checksum settings.
[  136.171798] igb 0000:01:00.0 eth0: mixed HW and IP checksum settings.
[  136.179595] igb 0000:01:00.0 eth0: mixed HW and IP checksum settings.
[  136.620328] igb 0000:02:00.0 eth1: igb: eth1 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: None
[  137.468448] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[  137.468592] IPv6: ADDRCONF(NETDEV_CHANGE): eth1: link becomes ready
[  140.143998] igb 0000:01:00.0 eth0: igb: eth0 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: RX
[  140.144265] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[  140.397624] igb 0000:04:00.0: changing MTU from 1500 to 1508
[  140.455342] igb 0000:04:00.0 eth3: mixed HW and IP checksum settings.
[  140.463736] igb 0000:04:00.0 eth3: mixed HW and IP checksum settings.
[  140.471080] igb 0000:04:00.0 eth3: mixed HW and IP checksum settings.
[  140.478944] igb 0000:04:00.0 eth3: mixed HW and IP checksum settings.
[  140.487249] igb 0000:04:00.0 eth3: mixed HW and IP checksum settings.
[  141.778764] IPv6: ADDRCONF(NETDEV_UP): eth3: link is not ready
[  144.540331] igb 0000:04:00.0 eth3: igb: eth3 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: RX/TX
[  144.540585] IPv6: ADDRCONF(NETDEV_CHANGE): eth3: link becomes ready
[  153.105832] PPP generic driver version 2.4.2
[  153.119743] NET: Registered protocol family 17
[  153.169321] NET: Registered protocol family 24

Switch back to 1.2-rolling-201910310217 and all is well.

SteveP

Details

Difficulty level
Unknown (require assessment)
Version
VyOS 1.3-rolling-201910310242
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Perfectly compatible

Event Timeline

SteveP created this task.Thu, Oct 31, 5:48 PM

As you pass auth and get the config sent, can you please check that you have a default route set up? Ideally that should happen automatically. It looks like your ISP offers you IPv6 which seems rejected as unknown by the pppoe client, but that't not the primary issue. Check if your default route is being set up.

SteveP added a comment.Fri, Nov 1, 7:14 AM

Hi, the routes are there.

 sho ip route
Codes: K - kernel route, C - connected, S - static, R - RIP,
       O - OSPF, I - IS-IS, B - BGP, E - EIGRP, N - NHRP,
       T - Table, v - VNC, V - VNC-Direct, A - Babel, D - SHARP,
       F - PBR, f - OpenFabric,
       > - selected route, * - FIB route, q - queued route, r - rejected route

K>* 0.0.0.0/0 [0/0] is directly connected, ppp0, 00:01:02
C>* 172.16.15.171/32 is directly connected, ppp0, 00:01:02

sho ip route fo
default dev ppp0 scope link
172.16.15.171 dev ppp0 proto kernel scope link src 109.159.184.93

If I ping 8.8.8.8 from my desktop and monitor the ppp0 interface, I see the outgoing traffic but no replies

monitor traffic interface ppp0 | grep -i icmp
tcpdump: verbose output suppressed, use -v or -vv for full protocol decode
listening on ppp0, link-type LINUX_SLL (Linux cooked), capture size 262144 bytes
06:51:55.126623 IP 192.168.3.100 > dns.google: ICMP echo request, id 1, seq 26172, length 40
06:52:00.128362 IP 192.168.3.100 > dns.google: ICMP echo request, id 1, seq 26173, length 40

everything looks the same with 1.2 except ppp0 becomes pppoe0 and I get icmp replies

sho ip route
Codes: K - kernel route, C - connected, S - static, R - RIP,
       O - OSPF, I - IS-IS, B - BGP, E - EIGRP, N - NHRP,
       T - Table, v - VNC, V - VNC-Direct, A - Babel, D - SHARP,
       F - PBR, f - OpenFabric,
       > - selected route, * - FIB route, q - queued route, r - rejected route

K>* 0.0.0.0/0 [0/0] is directly connected, pppoe0, 13:00:12
C>* 172.16.15.171/32 is directly connected, pppoe0, 13:00:12

sho ip route forward
default dev pppoe0 scope link
172.16.15.171 dev pppoe0 proto kernel scope link src 213.120.36.93

monitor traffic interface pppoe0  | grep -i icmp
tcpdump: verbose output suppressed, use -v or -vv for full protocol decode
listening on pppoe0, link-type LINUX_SLL (Linux cooked), capture size 262144 bytes
07:03:49.822169 IP home-r1 > dns.google: ICMP echo request, id 1, seq 26400, length 40
07:03:49.839078 IP dns.google > home-r1: ICMP echo reply, id 1, seq 26400, length 40
07:03:50.838554 IP home-r1 > dns.google: ICMP echo request, id 1, seq 26401, length 40
07:03:50.855783 IP dns.google > home-r1: ICMP echo reply, id 1, seq 26401, length 40

SteveP

Hi,

After a bit of fiddling, I have found the problem. The config.boot conversion from 1.2 to 1.3 did not chnage the NAT interface entries from pppoe0 to ppp0. Once changed, all is working. As can be seen below, NAT & monitor traffic interface expect ppp0, whilst the actual interface and firewall zones expect pppoe0. I think this is a little confusing and should probably be made consistent one way or the other.. pppoe0: is also still showing as "Coming up" even though everything appears to work so there is still a reporting problem there at the very least.

Hope all this helps. Let me know if you would like me to test anything else relating to these issues.

SteveP

sho nat
 source {
     rule 10 {
         outbound-interface ppp0
         translation {
             address masquerade
         }
     }
 }

sho int pppoe
pppoe0: Coming up

zone public {
     default-action drop
     description "Public Zone"
     from private {
         firewall {
             name private_to_public
         }
     }
     interface pppoe0
}

    ethernet eth3 {
        duplex auto
        hw-id 4c:02:89:12:16:d1
        mtu 1508
        pppoe 0 {


run monitor traffic interface ppp0 | grep -i icmp
tcpdump: verbose output suppressed, use -v or -vv for full protocol decode
listening on ppp0, link-type LINUX_SLL (Linux cooked), capture size 262144 bytes
10:23:58.618067 IP host213-122-248-79.range213-122.btcentralplus.com > dns.google: ICMP echo request, id 1, seq 2880, length 40
10:23:58.634297 IP dns.google > host213-122-248-79.range213-122.btcentralplus.com: ICMP echo reply, id 1, seq 2880, length 40
10:23:59.627084 IP host213-122-248-79.range213-122.btcentralplus.com > dns.google: ICMP echo request, id 1, seq 2881, length 40
10:23:59.643285 IP dns.google > host213-122-248-79.range213-122.btcentralplus.com: ICMP echo reply, id 1, seq 2881, length 40

run sho version
Version:          VyOS 1.3-rolling-201910310242
Built by:         autobuild@vyos.net
Built on:         Thu 31 Oct 2019 02:42 UTC
Build UUID:       d5906a11-53f7-4a08-932b-83291e134616
Build Commit ID:  529220d610a6cf

Architecture:     x86_64
Boot via:         installed image
System type:      bare metal

Hardware vendor:  Lex BayTrail
Hardware model:   3I380D D1
Hardware S/N:     BT-I C2II1
Hardware UUID:    12345678-1234-5678-90ab-cddeefaabbcc

Copyright:        VyOS maintainers and contributors

HI,

More info,

My firewall on the pppoe interface was also not working. changing it to ppp0 fixes it. The only reference to pppoe0 on my system now is the interface so looks like it is now all intended to be ppp0. Is this right? If so, why did the conversion script not change it? I'm going to try renaming the interface now to see if it comes up and if it does, if it reports correctly as up

set zone-policy zone public interface
Possible completions:
   <text>       Interface associated with zone
   eth0
   eth1
   eth2
   eth3
   ppp0
SteveP added a comment.EditedMon, Nov 4, 12:57 PM

Interface doesn't work if changed to ppp0. The interface seems to expect pppoe0 and everything else seems to expect ppp0. pppoe0 is still showing as 'coming up', even though everything seems to be working

c-po added a subscriber: c-po.Mon, Nov 4, 2:45 PM

Hi @SteveP,

the interface name ppp0 is wrong. If we configure it to be pppoe0 on the CLI it should also have this name on the bare linux system. This sounds a bit like: T1242 which was fixed in commit https://github.com/vyos/vyatta-cfg-op-pppoe/commit/4330d41fcda30553ca1b3e2588d05eebdd59fc80

I merged all the latest changes from current to equuleus inside the vyatta-cfg-op-pppoe repo.

Please try the next rolling.

SteveP added a comment.Mon, Nov 4, 4:07 PM

Hi,

No good I'm afraid. NAT is not working set to pppoe0 and is still offering ppp0.

run sh ver
Version:          VyOS 1.3-rolling-201911041446
Built by:         autobuild@vyos.net
Built on:         Mon 04 Nov 2019 14:46 UTC
Build UUID:       72ad8d31-ecef-461d-beae-138c947804ca
Build Commit ID:  529220d610a6c

sho int pppoe
pppoe0: Coming up

show nat source
 rule 10 {
     outbound-interface pppoe0
     translation {
         address masquerade

set nat source rule 10 outbound-interface
Possible completions:
   <interface>  Interface name or "any"
   any
   eth0
   eth1
   eth2
   eth3
   lo
   ppp0
   pppoe0
c-po added a comment.Mon, Nov 4, 4:26 PM

Well, then there is a bug in the interface renaming script with later ifupdown scripts which should be fixed.

SteveP added a comment.Mon, Nov 4, 6:15 PM

ppp0 not renaming to pppoe0 on 1.8.0 https://community.ui.com/questions/ppp0-not-renaming-to-pppoe0-on-1-8-0/b4aeea88-5d52-4222-b065-e6903afdda9a

UBNT-stig - I was able to reproduce this. Deleting the ipv6 section under pppoe seems to "fix" it.

SP - I do have ipv6 errors in the logs as picked up earlier by hagbard.

hagbard added a subscriber: hagbard.Thu, Oct 31, 18:19
It looks like your ISP offers you IPv6 which seems rejected as unknown by the pppoe client, but that't not the primary issue.

pasik added a subscriber: pasik.Mon, Nov 4, 10:04 PM